Skip to main content
POST
Create file or folder

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string<uuid>
required

Body

application/json
type
string
default:folder
name
string
default:Untitled
parent_id
string<uuid> | null
visibility
enum<string>
default:org
Available options:
org,
restricted

Response

200 - application/json

Created file.

id
string<uuid>
object
enum<string>
Available options:
file
encrypted
boolean
type
enum<string>
Available options:
file,
folder
name
string
name_enc
object | null
parent_id
string<uuid> | null
visibility
enum<string>
Available options:
org,
restricted
record_type
string | null
record_id
string<uuid> | null
share_id
string | null
created_at
string
updated_at
string
Last modified on July 8, 2026